Critical Vulnerability in Slider Revolution Plugin

Critical Vulnerability in Slider Revolution Responsive WordPress Plugin

If your WordPress site is currently running the Slider Revolution Plugin ver. 4.14 or older, then you should immediately update to the most recent version to secure your website against an exploit vulnerability that was recently discovered. This security vulnerability is not...
Read More →
Automattic Acquires BruteProtect

Automattic Acquires BruteProtect

Some great news for everyone who runs WordPress: It was announced today parent company Automattic purchased Parka, the creators of BruteProtect, a WordPress plugin and service that protects WordPress sites “against traditional brute force attacks AND distributed brute force...
Read More →
Microsoft Is Ending Support for Old Versions of Internet Explorer

Microsoft is Ending Support for Old Versions of Internet Explorer

I sure didn’t believe it would happen, and I know a lot of people who felt the same way, but Microsoft has officially announced the death of Internet Explorer 10 and all of it’s predecessors. On January 12th, 2016, Microsoft will stop issuing security updates and...
Read More →
WordPress Security Vulnerability Discovered

WordPress Security Vulnerability Discovered

Anyone who works with computers in this day and age knows the importance of website security. Now, more than ever, it is imperative that you keep your website up to date with the latest security protocols to protect not only your website from attack, but to also ensure your...
Read More →